import { jsx } from 'react/jsx-runtime';
import { forwardRef } from '@nordcom/nordstar-system';
import styles from './accented.module.scss.js';

const Accented = forwardRef(
  ({ as: Tag = "span", color = "default", secondary, className, ...props }, ref) => {
    return /* @__PURE__ */ jsx(
      Tag,
      {
        ref,
        "data-color": !!secondary ? "secondary" : color,
        ...props,
        className: `${styles.container}${className ? ` ${className}` : ""}`
      }
    );
  }
);
Accented.displayName = "Nordstar.Typography.Accented";

export { Accented as default };
//# sourceMappingURL=accented.js.map
